import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { CommunicationStatusSchema } from '../enums/CommunicationStatus.schema'

const nestedenumcommunicationstatusfilterSchema = z.object({
  equals: CommunicationStatusSchema.optional(),
  in: CommunicationStatusSchema.array().optional(),
  notIn: CommunicationStatusSchema.array().optional(),
  not: z.union([CommunicationStatusSchema, z.lazy(() => NestedEnumCommunicationStatusFilterObjectSchema)]).optional()
}).strict();
export const NestedEnumCommunicationStatusFilterObjectSchema: z.ZodType<Prisma.NestedEnumCommunicationStatusFilter> = nestedenumcommunicationstatusfilterSchema as unknown as z.ZodType<Prisma.NestedEnumCommunicationStatusFilter>;
export const NestedEnumCommunicationStatusFilterObjectZodSchema = nestedenumcommunicationstatusfilterSchema;
